/******************************************************************************
*
*                  COPYRIGHT (C) 2021 CMS Technologies Ltd.                    *
*                                                                              
*
********************************************************************************
* FileName      : aes_demo.c                                                  *
* Author        :                                                              *
* Version       : 1.0                                                          *
* Date          : 2021.08.13                                                   *
* Description   :                                                              *
* Function List :                                                              *
********************************************************************************/
#include "aes_demo.h"


uint8_t ivdata[32] =
{
	"g439 aestestivdata",
};
uint8_t keydata[32] =
{
	"CMSemicon Bat32g439 AES test key",
};

/******************************************************************************

* Function Name: Aes_Init
* @brief  aes init demo
* @param  none
* @return none
*******************************************************************************/
void Aes_Init(void)
{
   AES_InitTypeDef Aes_InitStructure;
	
	//	AESInitStruct.run_mode = ENCRYPT_MODE;
	Aes_InitStructure.encrypt_mode = AES_ECB_MODE;
	Aes_InitStructure.key_length = KEY_LENGTH_256;
	Aes_InitStructure.pIVdata = (uint32_t*)ivdata;
	Aes_InitStructure.pKeydata = (uint32_t*)keydata;
	
	AES_Init(&Aes_InitStructure);


}


