/***********************************************************************************************************************
* Copyright (C) . All rights reserved.
***********************************************************************************************************************/

/***********************************************************************************************************************
* File Name    : main.c
* Version      :
* Device(s)    : BAT32G439
* Tool-Chain   : MDK(armcc)
* Description  : This file is a template.
* Creation Date: 2022/5/30
***********************************************************************************************************************/

/***********************************************************************************************************************
Macro Definitions
***********************************************************************************************************************/

/***********************************************************************************************************************
Includes
***********************************************************************************************************************/
#include <stdio.h>
#include "delay_demo.h"
#include "aes_demo.h"
#include "uart_demo.h"
/***********************************************************************************************************************
Global variables and functions
***********************************************************************************************************************/
uint8_t encryptdata[16] = 
{
	0x44,0x03,0x77,0x10,0x23,0x20,0x23,0x01,0x13,0x05,0x12,0x34,0x56,0x78,0x9a,0xbc,
};

uint8_t decryptdata[16];
uint8_t testdata[16]; 
AES_InitTypeDef Aes_InitTypeDef;


int main()
{
    uint32_t msCnt;     // count value of 1ms
    uint32_t i;
    static char ledon = 0;


    //-----------------------------------------------------------------------
    // Systick setting
    //-----------------------------------------------------------------------

    SystemCoreClockUpdate();
    msCnt = SystemCoreClock / 1000;
    SysTick_Config(msCnt);
    delay_init(SystemCoreClock);

//	  Uart0_Init(19200);
		Aes_Init();
	
    while (1)
    {
        delayMS(250);
				AES_Encrypt(&Aes_InitTypeDef,encryptdata,decryptdata);
			
				AES_Decrypt(&Aes_InitTypeDef,decryptdata,testdata);
    }

}




