#include "pga_demo.h"

extern uint32_t   g_AdcIntTaken;
uint8_t flag = 0;

/***********************************************************************************************************************
* Function Name: PGA_Init
* @brief config gpio exit trigger-interrupt
* @param   :
* @return
***********************************************************************************************************************/
void Pga_Init(void)
{
		PGA_InitTypeDef PGA_InitStructure = {0};
    GPIO_InitTypeDef  GPIO_InitStruct = {0};
		
		GPIO_PinAFConfig(GPIO_PORTA, GPIO_Pin_0, GROUP_AF_PGAIN00);  //ΪPGA00 IN
		GPIO_PinAFConfig(GPIO_PORTA, GPIO_Pin_1, GROUP_AF_PGAGND00);  //ΪPGA00 IN
		
    GPIO_InitStruct.GPIO_Pin    = GPIO_Pin_0 | GPIO_Pin_1;      
    GPIO_InitStruct.GPIO_Mode   = GPIO_Mode_IN;
    GPIO_InitStruct.GPIO_Ctrl  = GPIO_Control_ANA;
//    GPIO_InitStruct.GPIO_PuPd  = GPIO_PuPd_UP;
    GPIO_Init(GPIO_PORTA, &GPIO_InitStruct);

    PGA_InitStructure.PGA_Channel = PGA00;   //ѡPGA0
		PGA_InitStructure.PGA_Mod = PGA_ShamDif;  //ѡα
		PGA_InitStructure.PGA_Gain = PGA_SDGain_2;  //ȫַŴ2
		PGA_InitStructure.PGA_Gnd = PGA_GND_PGAGND; //ѡⲿPGAxxGNDΪ
		PGA_InitStructure.PGA_Out = PGA_Out_AmpADC; //PGA 
		PGA_Init(&PGA_InitStructure);
}


