/***********************************************************************************************************************
* Copyright (C) . All rights reserved.
***********************************************************************************************************************/

/***********************************************************************************************************************
* File Name    : main.c
* Version      :
* Device(s)    : BAT32G439
* Tool-Chain   : MDK(armcc)
* Description  : This file is a template.
* Creation Date: 2022/5/30
***********************************************************************************************************************/

/***********************************************************************************************************************
Macro Definitions
***********************************************************************************************************************/

/***********************************************************************************************************************
Includes
***********************************************************************************************************************/
#include <stdio.h>
#include "uart_demo.h"
#include "trng_demo.h"

/***********************************************************************************************************************
Global variables and functions
***********************************************************************************************************************/
uint32_t TRNGData[10] = {};

int main()
{
    uint32_t msCnt;     // count value of 1ms
    static unsigned char ledon = 1;
    uint32_t width = 0, tempAdc;
    int i = 0, j = 0;
    //-----------------------------------------------------------------------
    // Systick setting
    //-----------------------------------------------------------------------

    SystemCoreClockUpdate();
    msCnt = SystemCoreClock / 1000;
    SysTick_Config(msCnt);
	
    Uart0_Init(19200);
		TRNGData[0] = TRNG_Proc();
		TRNGData[1] = TRNG_Proc();

    while (1);

}




