#include "acmp_demo.h"
#include "cgc.h"


/***********************************************************************************************************************
* Function Name: ACMP0_Init
* @brief  config ACMP0
* @param   None
* @return
***********************************************************************************************************************/
void ACMP0_Init(void)
{
    volatile uint8_t w_count;
    GPIO_InitTypeDef GPIO_InitStruct = {0};
//    ISR_InitTypeDef_t ISR_InitStructure = {0};
    CMP_InitTypeDef CMP_InitStructure;

	/*****acmp ***********************************************************/
    GPIO_PinAFConfig(GPIO_PORTA, GPIO_Pin_0, GROUP_AF_VCIN00); //PA00ĬϹVCIN00

    GPIO_InitStruct.GPIO_Pin    = GPIO_Pin_0;
    GPIO_InitStruct.GPIO_Ctrl  = GPIO_Control_ANA;
    GPIO_Init(GPIO_PORTA, &GPIO_InitStruct);
	/*****acmp ***********************************************************/
		GPIO_PinAFConfig(GPIO_PORTB, GPIO_Pin_8, GROUP_AF_VREF0); //PB08ĬϹVREF0
		
		GPIO_InitStruct.GPIO_Pin    = GPIO_Pin_8;
    GPIO_InitStruct.GPIO_Ctrl  = GPIO_Control_ANA;
    GPIO_Init(GPIO_PORTB, &GPIO_InitStruct);
		
/*****acmp ***********************************************************/
		GPIO_PinAFConfig(GPIO_PORTB, GPIO_Pin_2, GROUP_AF_VCOUT0); //PB02ĬϹVCOUT
		
    GPIO_InitStruct.GPIO_Pin    = GPIO_Pin_2;
    GPIO_InitStruct.GPIO_Mode   = GPIO_Mode_OUT;
    GPIO_InitStruct.GPIO_OType  = GPIO_OType_PP;	
    GPIO_InitStruct.GPIO_Ctrl   = GPIO_Control_DIG;
		GPIO_InitStruct.GPIO_Level   = GPIO_Level_LOW;
    GPIO_Init(GPIO_PORTB, &GPIO_InitStruct);
		
  CMP_InitStructure.CMP_Channel = CMP_Channel_0;  //Ƚ0
	CMP_InitStructure.CMP_PositiveSide = CMP_PositiveSide_VCINx0;//ѡȽź
	CMP_InitStructure.CMP_NegativeSide = CMP_NegativeSide_VREF0;//ڲ׼ѹ
	CMP_InitStructure.CMP_Mod = CMP_Out_Normal;				//ģʽ
	CMP_InitStructure.CMP_Int = CMP_Int_Enable;       //Ƚжʹ
	CMP_InitStructure.CMP_IntReq = CMP_IntReq_Rising; //Ƚشж
	CMP_InitStructure.CMP_Filter = CMP_Filter_None;  //Ƚ˲
	CMP_InitStructure.CMP_Out2port = CMP_Out_Enable;//ֹcmp0ȽVCOUT0

	ISR_Register(CMP0_IRQn, cmp0_interrupt);     //жϷ·ע

	CMP_Init(&CMP_InitStructure);
}

void cmp0_interrupt(void *msg)
{
    NVIC_ClearPendingIRQ(CMP0_IRQn);     /* clear INTCMP1 interrupt flag */

}


/***********************************************************************************************************************
* Function Name: ACMP1_Init
* @brief  config ACMP1
* @param   None
* @return
***********************************************************************************************************************/
void ACMP1_Init(void)
{
    volatile uint8_t w_count;
    GPIO_InitTypeDef GPIO_InitStruct = {0};
//    ISR_InitTypeDef_t ISR_InitStructure = {0};
    CMP_InitTypeDef CMP_InitStructure;

	/*****acmp ***********************************************************/
    GPIO_PinAFConfig(GPIO_PORTA, GPIO_Pin_3, GROUP_AF_VCIN10); //PA03ĬϹVCIN10

    GPIO_InitStruct.GPIO_Pin    = GPIO_Pin_3;
    GPIO_InitStruct.GPIO_Ctrl  = GPIO_Control_ANA;
    GPIO_Init(GPIO_PORTA, &GPIO_InitStruct);
	/*****acmp ***********************************************************/
		GPIO_PinAFConfig(GPIO_PORTB, GPIO_Pin_8, GROUP_AF_VREF0); //PB08ĬϹVREF0
		
		GPIO_InitStruct.GPIO_Pin    = GPIO_Pin_8;
    GPIO_InitStruct.GPIO_Ctrl  = GPIO_Control_ANA;
    GPIO_Init(GPIO_PORTB, &GPIO_InitStruct);
		
/*****acmp ***********************************************************/
		GPIO_PinAFConfig(GPIO_PORTB, GPIO_Pin_3, GROUP_AF_VCOUT1); //PB08ĬϹVCOUT
		
    GPIO_InitStruct.GPIO_Pin    = GPIO_Pin_3;
    GPIO_InitStruct.GPIO_Mode   = GPIO_Mode_OUT;
    GPIO_InitStruct.GPIO_OType  = GPIO_OType_PP;	
    GPIO_InitStruct.GPIO_Ctrl   = GPIO_Control_DIG;
		GPIO_InitStruct.GPIO_Level   = GPIO_Level_LOW;
    GPIO_Init(GPIO_PORTB, &GPIO_InitStruct);
		
  CMP_InitStructure.CMP_Channel = CMP_Channel_1;  //Ƚ1
	CMP_InitStructure.CMP_PositiveSide = CMP_PositiveSide_VCINx0;//ѡȽź
	CMP_InitStructure.CMP_NegativeSide = CMP_NegativeSide_VREF0;//ڲ׼ѹ
	CMP_InitStructure.CMP_Mod = CMP_Out_Normal;				//ģʽ
	CMP_InitStructure.CMP_Int = CMP_Int_Enable;       //Ƚжʹ
	CMP_InitStructure.CMP_IntReq = CMP_IntReq_Rising; //Ƚشж
	CMP_InitStructure.CMP_Filter = CMP_Filter_None;  //Ƚ˲
	CMP_InitStructure.CMP_Out2port = CMP_Out_Enable;//ֹcmp0ȽVCOUT0

	CMP_Init(&CMP_InitStructure);
}


