/******************************************************************************
*
*                  COPYRIGHT (C) 2021 CMS Technologies Ltd.                    *
*                                                                              
*
********************************************************************************
* FileName      : trng_demo.c                                                  *
* Author        :                                                              *
* Version       : 1.0                                                          *
* Date          : 2021.08.13                                                   *
* Description   :                                                              *
* Function List :                                                              *
********************************************************************************/
#include "trng_demo.h"


/***********************************************************************************************************************
* Function Name: TRNG_Proc
* @brief  RNG produce.
* @param  None
* @return trng data
***********************************************************************************************************************/
uint32_t TRNG_Proc(void)
{
	uint32_t TRNGReturn;
	TRNG_Init(TRNGCKS_CKS_DIV_64);      // TRNG need operation clock under 4MHz
	
	TRNGReturn = (int32_t)TRNG_GetRandomNumber();
	return TRNGReturn;
}

